TrecDocParser.ParsePathType (Lucene 10.5.0 benchmark API)
Description: declaration: package: org.apache.lucene.benchmark.byTask.feeds, class: TrecDocParser, enum: ParsePathType

Package org.apache.lucene.benchmark.byTask.feeds

# Enum Class TrecDocParser.ParsePathType

java.lang.Object
java.lang.Enum<TrecDocParser.ParsePathType>
org.apache.lucene.benchmark.byTask.feeds.TrecDocParser.ParsePathType

All Implemented Interfaces:
  `Serializable`, `Comparable<TrecDocParser.ParsePathType>`, `Constable`

Enclosing class:
  `TrecDocParser`

public static enum TrecDocParser.ParsePathType extends Enum<TrecDocParser.ParsePathType>
Types of trec parse paths,

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FBIS`
  `FR94`
  `FT`
  `GOV2`
  `LATIMES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrecDocParser.ParsePathType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrecDocParser.ParsePathType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GOV2

    public static final TrecDocParser.ParsePathType GOV2

  - ### FBIS

    public static final TrecDocParser.ParsePathType FBIS

  - ### FT

    public static final TrecDocParser.ParsePathType FT

  - ### FR94

    public static final TrecDocParser.ParsePathType FR94

  - ### LATIMES

    public static final TrecDocParser.ParsePathType LATIMES

- ## Method Details

  - ### values

    public static TrecDocParser.ParsePathType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrecDocParser.ParsePathType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null